Create a new automation
curl --request POST \
--url http://0.0.0.0:3000/v1/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ligar aquecedor ao anoitecer",
"trigger": {
"platform": "sun",
"event": "sunset"
},
"conditions": [],
"actions": [
{
"type": "call_service",
"entity_id": "switch.aquecedor",
"service": "turn_on"
}
],
"enabled": true
}
'import requests
url = "http://0.0.0.0:3000/v1/automations"
payload = {
"name": "Ligar aquecedor ao anoitecer",
"trigger": {
"platform": "sun",
"event": "sunset"
},
"conditions": [],
"actions": [
{
"type": "call_service",
"entity_id": "switch.aquecedor",
"service": "turn_on"
}
],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ligar aquecedor ao anoitecer',
trigger: {platform: 'sun', event: 'sunset'},
conditions: [],
actions: [{type: 'call_service', entity_id: 'switch.aquecedor', service: 'turn_on'}],
enabled: true
})
};
fetch('http://0.0.0.0:3000/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Ligar aquecedor ao anoitecer",
"trigger": {
"platform": "sun",
"event": "sunset"
},
"conditions": [],
"actions": [
{
"type": "call_service",
"entity_id": "switch.aquecedor",
"service": "turn_on"
}
],
"enabled": true,
"user_id": "user_abc123",
"org_id": null,
"created_at": "2026-03-17T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"error": "limit_reached",
"message": "Limite atingido (10)",
"limit": 10,
"current": 10
}Automations
Create a new automation
POST
/
v1
/
automations
Create a new automation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Body
application/json
⌘I